org.richfaces.component.html

## Class HtmlDragIndicator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDragIndicator
      - - org.richfaces.component.html.HtmlDragIndicator

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlDragIndicator
      extends UIDragIndicator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIDragIndicator

      `DEFAULT_INDICATOR_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDragIndicator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAcceptClass()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getRejectClass()` CSS class name for reject state
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAcceptClass(java.lang.String _acceptClass)`
    `void` | `setRejectClass(java.lang.String _rejectClass)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlDragIndicator

          public HtmlDragIndicator()

  - ### Method Detail

    - #### getAcceptClass

          public java.lang.String getAcceptClass()

      Specified by:
        `getAcceptClass` in class `UIDragIndicator`
      Returns:
        the acceptClass

    - #### setAcceptClass

          public void setAcceptClass(java.lang.String _acceptClass)

      Specified by:
        `setAcceptClass` in class `UIDragIndicator`
      Parameters:
        `_acceptClass` - the acceptClass to set

    - #### getRejectClass

          public java.lang.String getRejectClass()

      Description copied from class: `UIDragIndicator`
      CSS class name for reject state
      Specified by:
        `getRejectClass` in class `UIDragIndicator`
      Returns:
        the acceptClass

    - #### setRejectClass

          public void setRejectClass(java.lang.String _rejectClass)

      Specified by:
        `setRejectClass` in class `UIDragIndicator`
      Parameters:
        `_rejectClass` - the value to set

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `UIDragIndicator`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2014. All Rights Reserved.